Bug 1181366 - Review Request: mumble - Voice chat suite aimed at gamers (un-retire)
Summary: Review Request: mumble - Voice chat suite aimed at gamers (un-retire)
Status: CLOSED DUPLICATE of bug 1284989
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matthew Miller
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
: 1111838 (view as bug list)
Depends On: 1181365
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-13 02:03 UTC by Carlos O'Donell
Modified: 2015-11-24 18:10 UTC (History)
21 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-11-24 16:40:03 UTC


Attachments (Terms of Use)
mumble.spec (13.00 KB, text/plain)
2015-01-14 01:25 UTC, Carlos O'Donell
no flags Details
mumble-1.2.6-5.fc22.src.rpm (3.06 MB, application/x-rpm)
2015-01-14 01:27 UTC, Carlos O'Donell
no flags Details

Description Carlos O'Donell 2015-01-13 02:03:19 UTC
https://admin.fedoraproject.org/pkgdb/package/mumble/
Fedora Account System Username: codonell

This is a package review request to un-retire mumble. I need Ice to build and support mumble in Fedora 21 and Fedora Rawhide. I have already patched Ice to build on F21.

I have emailed devel [1] to determine why Ice was orphaned. Mumble was orphaned and retired because without ice-devel it doesn't build (well it might if you removed the dependencies on Ice, but that's harder to do).

[1] https://lists.fedoraproject.org/pipermail/devel/2015-January/206378.html

Comment 1 Christian Krause 2015-01-13 20:57:29 UTC
Please can you provide the updated spec file and the srpm for the review?

Comment 2 Carlos O'Donell 2015-01-13 22:04:30 UTC
Peter Robinson is already building mumble for f22 and f21. I'm asking him what his intent is there.

See:
http://koji.fedoraproject.org/koji/buildinfo?buildID=562336
http://koji.fedoraproject.org/koji/buildinfo?buildID=562386

Peter, What are you up to with mumble?

Comment 3 Peter Robinson 2015-01-13 23:45:50 UTC
(In reply to Carlos O'Donell from comment #2)
> Peter Robinson is already building mumble for f22 and f21. I'm asking him
> what his intent is there.
> 
> See:
> http://koji.fedoraproject.org/koji/buildinfo?buildID=562336
> http://koji.fedoraproject.org/koji/buildinfo?buildID=562386
> 
> Peter, What are you up to with mumble?

I'm up to nothing with mumble. If you read the change log it's a mass rebuild. 

If you check the git log for mumble:
http://pkgs.fedoraproject.org/cgit/mumble.git/commit/?id=7077f096ba00d5c41d4e58795c01c97b5743be05

If you check ice git you'll see why it was orphaned too:
http://pkgs.fedoraproject.org/cgit/ice.git/commit/?id=95b8da03bac249f397acdb532f03a10c38e354cd

Given they were both orphaned due to non building deps there might be others up the dep tree that have issues and need to be fixed.

Comment 4 Carlos O'Donell 2015-01-14 00:49:47 UTC
(In reply to Peter Robinson from comment #3)
> (In reply to Carlos O'Donell from comment #2)
> > Peter Robinson is already building mumble for f22 and f21. I'm asking him
> > what his intent is there.
> > 
> > See:
> > http://koji.fedoraproject.org/koji/buildinfo?buildID=562336
> > http://koji.fedoraproject.org/koji/buildinfo?buildID=562386
> > 
> > Peter, What are you up to with mumble?
> 
> I'm up to nothing with mumble. If you read the change log it's a mass
> rebuild. 

Why would a mass rebuild build f22 or f21 packages when no such branches exist for the package?

> If you check the git log for mumble:
> http://pkgs.fedoraproject.org/cgit/mumble.git/commit/
> ?id=7077f096ba00d5c41d4e58795c01c97b5743be05
> 
> If you check ice git you'll see why it was orphaned too:
> http://pkgs.fedoraproject.org/cgit/ice.git/commit/
> ?id=95b8da03bac249f397acdb532f03a10c38e354cd

That doesn't explain why there orphaned. At a best guess Ice was orphaned by the owning developer for reasons unknown, I can't find the original email message in devel, simply that it was orphaned.

> Given they were both orphaned due to non building deps there might be others
> up the dep tree that have issues and need to be fixed.

Mumble yes, it requires ice, as do several other packages. I've already emailed devel to see if I resurrect Ice if they would be willing to resurrect their packages which depended on it.

OK, so either way, your builds having nothing to do with your interest in mumble, simply some erroneous automated script. I say erroneous because there are no active f21 or f22 branches for mumble, yet it was built in koji by the mass rebuild scripts.

Comment 5 Carlos O'Donell 2015-01-14 01:25:39 UTC
Created attachment 979819 [details]
mumble.spec

Comment 6 Carlos O'Donell 2015-01-14 01:27:10 UTC
Created attachment 979820 [details]
mumble-1.2.6-5.fc22.src.rpm

Comment 7 Carlos O'Donell 2015-01-14 01:53:50 UTC
(In reply to Christian Krause from comment #1)
> Please can you provide the updated spec file and the srpm for the review?

Updated spec and srpm attached for f22. You will need to build and install ice-devel from the updated ice package given in bug 1181365.

Comment 8 Peter Robinson 2015-01-14 02:31:58 UTC
> > I'm up to nothing with mumble. If you read the change log it's a mass
> > rebuild. 
> 
> Why would a mass rebuild build f22 or f21 packages when no such branches
> exist for the package?

They were retired after mass rebuild. If you look at the dates the mass rebuild was August 17th, and they were retired November 17th because the maintainer hadn't bothered to fix them prior to F-21 GA and it would have been broken for GA.

> That doesn't explain why there orphaned. At a best guess Ice was orphaned by
> the owning developer for reasons unknown, I can't find the original email
> message in devel, simply that it was orphaned.

Yes it does. One of the packages that mumble depends on was broken. You'll need to follow the break crumbs for the exact reason but the packages retired prior to F-21 were only those that had broken soname deps so basically you wouldn't have been able to do a "yum install mumble" due to broken deps.

> > Given they were both orphaned due to non building deps there might be others
> > up the dep tree that have issues and need to be fixed.
> 
> Mumble yes, it requires ice, as do several other packages. I've already
> emailed devel to see if I resurrect Ice if they would be willing to
> resurrect their packages which depended on it.

If you look at the ice retirement logs for ice it was retired due to other broken deps. Have you tried grabbing the last .src.rpm and doing a scratch build and seeing what deps it's missing. 

> OK, so either way, your builds having nothing to do with your interest in
> mumble, simply some erroneous automated script. I say erroneous because
> there are no active f21 or f22 branches for mumble, yet it was built in koji
> by the mass rebuild scripts.

It was part of a rel-eng mass rebuild as can be seen in the logs, you need to look at the dates as the package was retired 3 months later.

Even with it retired you can check out the package branches and see why, you can get the last .src.rpm from koji and check why it fails etc, see in the git logs why it was retired etc.

Comment 9 Carlos O'Donell 2015-01-14 02:34:17 UTC
(In reply to Peter Robinson from comment #8)
> > > I'm up to nothing with mumble. If you read the change log it's a mass
> > > rebuild. 
> > 
> > Why would a mass rebuild build f22 or f21 packages when no such branches
> > exist for the package?
> 
> They were retired after mass rebuild. If you look at the dates the mass
> rebuild was August 17th, and they were retired November 17th because the
> maintainer hadn't bothered to fix them prior to F-21 GA and it would have
> been broken for GA.

Thanks, I saw that after I updated the ticket.

> If you look at the ice retirement logs for ice it was retired due to other
> broken deps. Have you tried grabbing the last .src.rpm and doing a scratch
> build and seeing what deps it's missing. 

It has no missing deps, it builds just fine on fc22 :-)

Comment 10 Ricky Burgin 2015-03-15 14:42:35 UTC
Little script for building Mumble from source on F21 for those reading who're Googling about Mumble in F21 that can't wait and haven't a clue how to build Mumble: https://gist.github.com/Orbixx/40232a34f29cb3cb1741

Comment 11 Matthew Miller 2015-06-09 21:51:04 UTC
*** Bug 1111838 has been marked as a duplicate of this bug. ***

Comment 12 Matthew Miller 2015-06-09 21:51:47 UTC
Hey Carlos. I need this for joining in podcasts, it turns out. :) Happy to help review. Can you update the spec to 1.2.8?

Comment 13 Sergio Monteiro Basto 2015-06-24 19:19:23 UTC
Hi, Carlos seems unresponsive and just was informed now [1] that we can disable 
disable ice, also celt support 

So can I close this re-review and open a new one ? 


[1] https://bugzilla.redhat.com/show_bug.cgi?id=1181366

Comment 14 Sergio Monteiro Basto 2015-06-24 19:27:02 UTC
(In reply to Sergio Monteiro Basto from comment #13)
> Hi, Carlos seems unresponsive and just was informed now [1] that we can
> disable 
> disable ice, also celt support 
> 
> So can I close this re-review and open a new one ? 

Sorry the in information is here [1]

[1] https://ask.fedoraproject.org/en/question/70535/when-will-mumble-return-to-the-fedora-repositories/?answer=70849#post-id-70849

Comment 15 Carlos O'Donell 2015-07-08 04:02:41 UTC
(In reply to Sergio Monteiro Basto from comment #13)
> Hi, Carlos seems unresponsive and just was informed now [1] that we can
> disable 
> disable ice, also celt support 
> 
> So can I close this re-review and open a new one ? 
> 
> 
> [1] https://bugzilla.redhat.com/show_bug.cgi?id=1181366

Sorry, I maintain glibc, so I get only small slices of time to maintain anything else :-)

My goal was to get mumble back into fedora for normal uses in gaming voice chat. If we can solve this without needing ice, that would be great.

Who is going to maintain mumble though?

Comment 16 Christopher Meng 2015-07-08 04:04:13 UTC
(In reply to Carlos O'Donell from comment #15)
> (In reply to Sergio Monteiro Basto from comment #13)
> > Hi, Carlos seems unresponsive and just was informed now [1] that we can
> > disable 
> > disable ice, also celt support 
> > 
> > So can I close this re-review and open a new one ? 
> > 
> > 
> > [1] https://bugzilla.redhat.com/show_bug.cgi?id=1181366
> 
> Sorry, I maintain glibc, so I get only small slices of time to maintain
> anything else :-)
> 
> My goal was to get mumble back into fedora for normal uses in gaming voice
> chat. If we can solve this without needing ice, that would be great.
> 
> Who is going to maintain mumble though?

Potential comaintainer here. ;)

Comment 17 Carlos O'Donell 2015-07-08 04:41:12 UTC
(In reply to Christopher Meng from comment #16)
> (In reply to Carlos O'Donell from comment #15)
> > (In reply to Sergio Monteiro Basto from comment #13)
> > > Hi, Carlos seems unresponsive and just was informed now [1] that we can
> > > disable 
> > > disable ice, also celt support 
> > > 
> > > So can I close this re-review and open a new one ? 
> > > 
> > > 
> > > [1] https://bugzilla.redhat.com/show_bug.cgi?id=1181366
> > 
> > Sorry, I maintain glibc, so I get only small slices of time to maintain
> > anything else :-)
> > 
> > My goal was to get mumble back into fedora for normal uses in gaming voice
> > chat. If we can solve this without needing ice, that would be great.
> > 
> > Who is going to maintain mumble though?
> 
> Potential comaintainer here. ;)

OK, updating to 1.2.9 and will resubmit patch.

Comment 18 Carlos O'Donell 2015-07-08 06:09:22 UTC
OK, we need ICE to build murmurd, which I want. So we can't get rid of ICE and it can't be disabled easily.

Comment 19 Sergio Monteiro Basto 2015-07-08 23:28:42 UTC
    dnf copr search mumble

and you will find mumble build without ICE.  

From [1], Dadivda wrote and I believe :

| dnf copr enable jamielennox/Mumble && dnf -y install mumble
| 
| Hey! reading the changelog in src.rpm
| 
| "- Update to 1.2.9
| - Removed all murmur server building
| - Turned off ICE support and a bunch of other things I don't want."Hey! reading 

| Ice isn't necessary anymore, I do know if affect disable ice, also celt...


un-retire ICE will be hard , so meanwhile we can't just have Mumble without  server building and ICE support ? 


[1] https://ask.fedoraproject.org/en/question/70535/when-will-mumble-return-to-the-fedora-repositories/?answer=70849#post-id-70849

Comment 20 Dan Book 2015-07-14 17:45:38 UTC
Personally mumble isn't much use to me without the server, but I appreciate any effort in restoring the packages.

Comment 21 Haïkel Guémar 2015-07-14 17:47:50 UTC
Un-retiring ICE is not *that* hard.

btw, have you all guys thought of collaborating ? You can have multiple owners -provided they're all in the packager group- for a package in a SCM request, just let the reviewer knows.
That will solve the problem of the reporter lacking time to advance the review.

Comment 22 Stefan Nuxoll 2015-07-15 03:02:01 UTC
I would be willing to review and co-maintain the package as well, I make heavy use of mumble (the client in particular) and would love to see it back in the collection.

Comment 23 John 2015-09-16 23:31:18 UTC
Any updates?

Comment 24 John 2015-09-17 08:41:16 UTC
Hi I've been waiting for this package for over 12 months.  

So in the open source spirit I downloaded what Carlos did and improved on it.

Here is my copr:
https://copr.fedoraproject.org/coprs/fedpop/mumble/

If you would like to collaborate with me on this please reply here with patches or I could add you to my copr.

I used mumble source 1.2.10 as available in tarball from github. I built mumble and murmur and the other packages.  I removed ice support. My hope is that I can work on ice next and then bump this to include ice support.  ice is a little broken at the moment so refer to that bug for updates. For any package reviewer worried about this: ice is not something that most people use. Its not worth delaying this package any longer for something very few people use. Besides, another RPC is coming to mumble soon: https://www.google-melange.com/gsoc/project/details/google/gsoc2015/timcooper/5649050225344512

I removed a unnecessary things in the SPEC related to forking method for starting the daemon and used the -fg switch to run it the 'systemd' way with Type=simple. Logging is outputted to the journal through stdout.

Additionally I pulled out the murmur.ini file and put it in sources so I could change it to run like it should by default.

I'm a little bit unsure of the exact packages that mumble requires at runtime.  I put opus, speex and celt.  I think I need to look over that again to make sure it's perfect. Instead of requires I could use a weaker dependency too.

Comment 25 Kevin Fenzi 2015-09-20 15:53:24 UTC
So, I guess Carlos got busy... this looks like a stalled review per https://fedoraproject.org/wiki/Policy_for_stalled_package_reviews

If there's no answer in a week perhaps interested parties could open up a new review?

Comment 26 Andrew Toskin 2015-11-11 06:13:54 UTC
It's been a while. Have there been any unreported updates on this?

I'm trying to teach myself about Fedora packaging, and I'm looking for a project to practice with. And I'd also like to see Mumble available in the Fedora repositories again. I've managed to compile Mumble from source, and I've been reading about the documentation about RPM spec files. Is there any way I can help?

Comment 27 John 2015-11-11 06:44:12 UTC
Well you could do a review of my package (the copr). I'll post a review request on Thursday or Friday and link it here.

Comment 28 Andrew Toskin 2015-11-12 05:42:22 UTC
Sure. Just to be clear, a review in this case means following the steps here <https://fedoraproject.org/wiki/Package_Review_Process#Reviewer>, right? I think I can do that.

Comment 29 Andrew Toskin 2015-11-24 03:43:07 UTC
John, did you get a chance to post the review request yet?

Comment 30 John 2015-11-24 15:56:32 UTC
terrycloth, see https://bugzilla.redhat.com/show_bug.cgi?id=1284989

Comment 31 Raphael Groner 2015-11-24 16:40:03 UTC

*** This bug has been marked as a duplicate of bug 1284989 ***


Note You need to log in before you can comment on or make changes to this bug.